#!/usr/bin/perl -w

# ------------------------------------------------------------------------------
# Libraries
use strict;			# Be strict with variables
use DBI;			# Database access
require "lib/config.pl";	# Configuration data.

# ------------------------------------------------------------------------------
# Star HTML Bits here
print "Content-type: text/html\n\n";

# ------------------------------------------------------------------------------
# Connect to database
my $dbh = DBI->connect($MAIN::DATABASE);

# ------------------------------------------------------------------------------
# Do a simple query
my $SQL = "";
$SQL = <<HERE;
	SELECT 
		recipe_category.recipe_category_id,
		recipe_category.title,
		count(recipe.recipe_id) as count
	FROM 
		recipe, recipe_category 
	WHERE
		recipe_category.recipe_category_id
			= recipe.recipe_category_id
	GROUP BY
		recipe_category.recipe_category_id
	ORDER BY 
		recipe_category.title
HERE
$SQL = <<HERE;
	SELECT 
		recipe_category_id, title
	FROM 
		recipe_category 
	ORDER BY 
		title
HERE
my $sth = $dbh->prepare($SQL);
if (!defined($sth)) {
	die "Invalid prepare - " . $dbh->errstr;
}
if (!$sth->execute()) {
	die "Invalid execute - " . $dbh->errstr;
}

# ------------------------------------------------------------------------------
# Initial HTML
print <<HERE;
<html>
<head>
<title>Amanda & Friends' Cookbook - List of Categories</title>

<script language="JavaScript">

 
<!-- hide this script from non-javascript-enabled browsers
if (document.images) {
I_05 = new Image(65, 72);I_05.src = '/recipe/images/t_about.gif';
I_05o = new Image(65, 72);I_05o.src = '/recipe/images/t_about_o.gif';
I_06 = new Image(65, 72);I_06.src = '/recipe/images/t_recipe.gif';
I_06o = new Image(65, 72);I_06o.src = '/recipe/images/t_recipe_o.gif';
I_07 = new Image(65, 72);I_07.src = '/recipe/images/t_cooks.gif';
I_07o = new Image(65, 72);I_07o.src = '/recipe/images/t_cooks_o.gif';
 
 
}
function di(id,name){
  if (document.images) {document.images[id].src=eval(name+".src"); }
}
 
// function that displays status bar message
 
function dm(msgStr) {
  document.returnValue = false;
  if (document.images) {
     window.status = msgStr;
     document.returnValue = true;
  }
}
var showMsg = navigator.userAgent != "Mozilla/4.0 (compatible; MSIE 4.0; Mac_PowerPC)"; 
function dmim(msgStr) {
  document.returnValue = false;
  if (showMsg) {
    window.status = msgStr;
    document.returnValue = true;
  }
}
 
// stop hiding -->
 

</script>
                                      
</head>

<BODY BACKGROUND="/recipe/images/background.jpg" TEXT="#663333" link="#663333" vlink="#8C6B5A" alink="#8C6B5A">
<TABLE WIDTH="550" BORDER="0" CELLSPACING="0" CELLPADDING="0">
  <TR>
    <TD VALIGN="TOP"><IMG SRC="/recipe/images/title.gif" WIDTH="550" HEIGHT="45" ALT="Amanda &amp; Friends' Cookbook"></TD></TR>
</TABLE>
&nbsp;<BR>
<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="760">
  <TR> 
    <TD><IMG SRC="/recipe/images/00.gif" WIDTH="40" HEIGHT="1"></TD>
    <TD><IMG SRC="/recipe/images/00.gif" WIDTH="290" HEIGHT="1"></TD>
    <TD><IMG SRC="/recipe/images/00.gif" WIDTH="45" HEIGHT="1"></TD>
    <TD><IMG SRC="/recipe/images/00.gif" WIDTH="320" HEIGHT="1"></TD>
    <TD><IMG SRC="/recipe/images/00.gif" WIDTH="65" HEIGHT="1"></TD>
  </TR>
  <TR> 
    <TD></TD>
    <TD VALIGN="TOP"> 
      <P><B><FONT SIZE="+1" COLOR="#8C6B5A">Category List</font></b></p>
 <P>&nbsp;</P>
        <p>A - Appetisers</p>
        <p>M - Main Meals</p>
        <p>S - Sweets</p>
        <p>X - Miscellaneous</p>
</TD>
    <TD></TD>
    <TD VALIGN="TOP">
        <p>
HERE

# ------------------------------------------------------------------------------
# List of titles

# How many did we find - take out # below for this to work
# print "<H3>There are " . $sth->rows . " categories:</H3>\n";

my $hash_ref;
while ($hash_ref = $sth->fetchrow_hashref) {

        print <<HERE;
                        <A href="/cgi-bin/recipe/search.cgi?category=$$hash_ref{recipe_category_id}"
><IMG SRC="/recipe/category/$$hash_ref{recipe_category_id}_c.gif" border="0"
WIDTH="30" HEIGHT="30" alt="logo" align="left" hspace="10"><br><b>$$hash_ref{title}</b><br clear="al
l"></A>
HERE
}

# ------------------------------------------------------------------------------
# THE END
print <<HERE;
</p>
      </TD>
    <TD VALIGN="TOP"><a href="/recipe/index.html" 
onmouseout="di('N_05','I_05');return false;" 
onmouseover="di('N_05','I_05o');return false;"
><IMG name="N_05" SRC="/recipe/images/t_about.gif" WIDTH="65" HEIGHT="72" ALT="Next" border="0"></A><BR><a href="/cgi-bin/recipe/category.cgi" 
onmouseout="di('N_06','I_06');return false;" 
onmouseover="di('N_06','I_06o');return false;"
><IMG name="N_06" SRC="/recipe/images/t_recipe.gif" WIDTH="65" HEIGHT="72" ALT="Next" border="0"></A><BR><a href="/cgi-bin/recipe/cooks.cgi" 
onmouseout="di('N_07','I_07');return false;" 
onmouseover="di('N_07','I_07o');return false;"
><IMG name="N_07" SRC="/recipe/images/t_cooks.gif" WIDTH="65" HEIGHT="72" ALT="Next" border="0"></A></TD>
  </TR>
</TABLE>
</BODY>
</HTML>
HERE

exit 0;
